describe('EntryMy when is supplier', () => {
    beforeEach(() => {
        cy.viewport(1920, 1080);
        cy.login('supplier');
        cy.visit(`/#/entry/my`, {
            onBeforeLoad(win) {
                cy.stub(win, 'open');
            },
        });
    });

    it('should open buyLabel when is supplier', () => {
        cy.get(
            '[to="/null/3"] > .q-card > .column > .q-btn > .q-btn__content > .q-icon'
        ).click();
        cy.get('.q-card__actions > .q-btn').click();
        cy.window().its('open').should('be.called');
    });
});
